<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\Anmeldung\KursUebersicht\HandleAnmeldung\CheckSepa;

class CheckSepaController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new CheckSepaUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $requestObj = new CheckSepaRequest();
    $requestObj->iban = trim(\RequestOperations::getVarValue('iban'));
    $requestObj->bic = trim(\RequestOperations::getVarValue('bic'));

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new CheckSepaPresenter($pUseCaseResponse);
  }
}